Skip to Content
inclamoDocs

Get conversation statistics grouped by team

GET
/api/v2/accounts/{account_id}/summary_reports/team

Get conversation statistics grouped by team for a given date range. Returns metrics for each team including conversation counts, resolution counts, average first response time, average resolution time, and average reply time.

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

since?string

The timestamp from where report should start (Unix timestamp).

until?string

The timestamp from where report should stop (Unix timestamp).

business_hours?boolean

Whether to calculate metrics using business hours only.

Response Body

Success

application/json
  1. response

Team summary report containing conversation statistics grouped by team.

[index: integer]?
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v2/accounts/0/summary_reports/team'
Example Response
[  {    "id": 0,    "conversations_count": 0,    "resolved_conversations_count": 0,    "avg_resolution_time": 0,    "avg_first_response_time": 0,    "avg_reply_time": 0  }]